# v1.2.2 - 2024-10-27 - More Features & Fixes

## Bugfixes

* #62 - Mordanted wool twine could not be crafted and could not be dyed brown
* #62 - Plain wool and plain wool twine could not be dyed brown

## New Features

* #61 - Wool (any color) and plain wool twine can be used to repair clothing
* #60 - Craft homespun clothing with wool

## Translations

* #63 - Update Spanish translation (Thanx, Ruddi!)
* #56 - Add Czech translation (Thanx, DejFidOFF!)

# v1.2.1 - 2024-10-20 - Knitting Needles

## Bugfixes

* #51 - Fix error about "TC" in Hide & Fabric patch
* #51 - Fix wrong paths in Tailor's Delight patches

## New Features

* #55 - Craft VS items with wool twine: plumb & square
* #55 - Craft more VS clothing items with wool cloth and twine
* #52 - Add knitting needles

## Tweaks and Balancing

* #54 - Clothing merchant sells a small amount of wool cloth
* #53 - Balance drifter drops, less for surface, more for deeper drifters
* #52 - Wool recipes use knitting needles instead of sticks or Tailor's Delight needles

# v1.2.0 - 2024-09-29 - Double Shearing

## Bugfixes

* #42 - Lightbrown deer fleece could not be washed
* #44 - Goat shearing values differed between server and client behavior

## New Features

* #50 - Add handbook guides on animal shearing, colored wool and knitting
* #47 - Add mordanted wool cloth and twine
* #45 - Add 12 differently colored wool fabrics (can be used panels)
* #45 - Add 12 differently colored wool cloth bundles
* #35 - Elk, deer, gazelles and moose are now shearable from generation 3 on
* #34 - Add eight different knitted warm, woolen sweaters
* #30 - Add wool-twine based recipes for commoner, survivor and peasent clothing
* #17 - Add ConfigLib support - toggle shearing of animal species

## Tweaks and Balancing

* #43 - Surface and deep drifters drop fleece instead of twine, tweak drop rates
* #31 - Tweak fleece drop rates for baby animals

## Compatibility With Other Mods

* #46 - Can convert Hide & Fabric wool items to Wool & More items
* #40 - Disable bighorn sheep old "wool" shearing when Hide & Fabric is installed
* #40 - Use ShearLib to provide a shearing behavior for all animals with fleece
* #32 - Add needles to wool-based recipes when Tailor's Delight is loaded
* #27 - Hide & Fabric domesticated adult bighorn sheep no longer basket catchable

## Optimizations

* Optimize trader patches by using `addeach`

# v1.1.0 - 2024-09-07 - Translations

## New Features

* #29 - Add darkbrown moose fleece and fibers
* #26 - Add plain and yellow gazelle fleece and fibers
* #12 - Add lightbrown and redbrown deer and elk fleece and fibers

## Tweaks and Balancing

* #27 - Adult bighorn sheep can no longer be catched with a basket trap
* #25 - Lessen fleece on short-haired goats to encourage seeking out long-haired animals like angora and mountain goats
* #25 - Reduce wool bonus per generation, but increase overall bonus

## Translations

* #28 - Add German translation for some Hide & Fabric texts
* #24 - Add Japanese translation (Thanx, Macoto Hino!)
* #23 - Add Ukrainian translation (Thanx, DeanBro!)

# v1.0.1 - 2024-09-01 - Corrections

## Tweaks and Balancing

* #20 - Under Hide & Fabric: Make bighorn sheep not spawn in lowlands

## Compatibility With Other Mods

* #21 - Wildcraft: Nuts & Fruits - Wool fleece, fiber and twine go into foraging baskets

# v1.0.0 - 2024-08-30 - First Clip

## New Features

* #19 - Drifters sometimes drop wool fibers, surface drifters can drop sticks
* #18 - Add some warmth values to VS clothing items
* #13 - Add wool twine in 12 different colors
* #11 - Commodities trader sells fleece, Artisan sells twine, clothing buys wool twine
* #9 - Add recipes for some woolen and/or warm clothing items from VS
* #2 - Add wool drops to VS animals: angora goats, musk ox and bighorn sheep
* #1 - Add various fleece, hair and wool fibers

## Compatibility With Other Mods

* #16 - Wildcraft: Use walnut black and spindle red dye to dye wool twine
* #10 - Hide & Fabric: Sheep drop fleece instead of wool
* #10 - Hide & Fabric: Domesticated adult goats can be sheered for fleece
* #5 - Domestic Animal trader sells some fleece

## Translations

* #14 - Add Spanish translation (Thanx, Ruddi!)
